version: '3.7'

services:
  mariadb:
    image: mariadb
    container_name: mariadb
    environment:
      MYSQL_ROOT_PASSWORD: adefinir
      MYSQL_DATABASE: adefinir
    ports:
      - '3306:3306'
    volumes:
      - ./docker/mariadb:/docker-entrypoint-initdb.d/
      - ./var/mariadb:/var/lib/mysql
    command:
      'mysqld --innodb-flush-method=fsync'
  php:
    container_name: php
    build:
      context: ./
      dockerfile: php.dockerfile
    volumes:
      - ./my-site:/var/www
  web:
    image: nginx
    container_name: nginx
    ports:
      - 80:80
      - 81:81
    volumes:
      - ./web/nginx/conf.d/:/etc/nginx/conf.d/
      - ./my-site:/var/www